<template>
  <div class="chat-box">
    <div class="chat-box-content">
      <div class="chat-date">03/15 13:10:00</div>
      <div class="chat-send">
        <div class="chat-send-info">推荐一本关于月亮的书。</div>
      </div>
      <div class="chat-back-info">
        <div class="back-avator">
          <img src="../assets/images/image2.png" alt="" />
        </div>
        <div class="base-book-box">
          <div class="base-book-item">
            <img class="book-icon" src="../assets/images/book.png" alt="" />
            <div class="base-book-item-feilds">
              <div class="book-title">《月亮与六便士》</div>
              <el-row v-if="screenWidth > 375">
                <el-col :span="8">
                  <div class="grid-content ep-bg-purple">
                    <span>责任者：</span>
                    <span>袁雷，张云飞著</span>
                  </div>
                  <div class="grid-content ep-bg-purple">
                    <span>ISBN号：</span>
                    <span>978-7-300-25494-4</span>
                  </div>
                  <div class="grid-content ep-bg-purple">
                    <span>入档时间：</span>
                    <span>20220226</span>
                  </div>
                  <div class="grid-content ep-bg-purple">
                    <span>馆藏地：</span>
                    <span>外文图书馆2楼-1-8954</span>
                  </div>
                </el-col>
                <el-col :span="8">
                  <div class="grid-content ep-bg-purple">
                    <span>出版社：</span>
                    <span>中国人民大学出版社</span>
                  </div>
                  <div class="grid-content ep-bg-purple">
                    <span>主题词：</span>
                    <span>月亮</span>
                  </div>
                  <div class="grid-content ep-bg-purple">
                    <span>索书号：</span>
                    <span>V1-18/12.3354(ENG)</span>
                  </div>
                </el-col>
              </el-row>
              <el-row v-else>
                <el-col :span="8">
                  <div class="grid-content ep-bg-purple">
                    <span>责任者：</span>
                    <span>袁雷，张云飞著</span>
                  </div>
                  <div class="grid-content ep-bg-purple">
                    <span>ISBN号：</span>
                    <span>978-7-300-25494-4</span>
                  </div>
                  <div class="grid-content ep-bg-purple">
                    <span>入档时间：</span>
                    <span>20220226</span>
                  </div>
                  <div class="grid-content ep-bg-purple">
                    <span>馆藏地：</span>
                    <span>外文图书馆2楼-1-8954</span>
                  </div>
                  <div class="grid-content ep-bg-purple">
                    <span>出版社：</span>
                    <span>中国人民大学出版社</span>
                  </div>
                  <div class="grid-content ep-bg-purple">
                    <span>主题词：</span>
                    <span>月亮</span>
                  </div>
                  <div class="grid-content ep-bg-purple">
                    <span>索书号：</span>
                    <span>V1-18/12.3354(ENG)</span>
                  </div>
                </el-col>
              </el-row>
            </div>
          </div>
          <div class="base-book-desc-box">
            <div class="base-book-desc-title">图书简介：</div>
            <p>
              本书以生动笔触描绘了卡尔·马克思的一生，展现了他作为思想家革命家的非凡,历程。全书围绕马克思的学术探索、政治实践与个人生活展开，深入剖析其对资本主义的批判及对人类解放的追求。作者将马克思比作“人间的普罗米修斯”，凸显其为无产阶级和全人类福祉不懈奋斗的精神。语言通俗易懂，适合对马克思主义思想及其发展历程感兴趣的读者阅读。
            </p>
            <el-divider border-style="double" style="border-color: #e9d8bf" />
          </div>
        </div>
      </div>
      <div class="back-item">
        <span>张云飞还有哪些著作</span>
        <img src="../assets/images/zuo1.png" alt="" />
      </div>
      <div class="back-item">
        <span>张云飞还有哪些著作</span>
        <img src="../assets/images/zuo2.png" alt="" />
      </div>
      <div class="chat-footer">
        <div class="icon-list">
          <img src="../assets/images/liebiao1.png" alt="" />
          <img src="../assets/images/tianjia2.png" alt="" />
        </div>
        <div class="chat-text">
          <el-input
            type="textarea"
            :autosize="{ minRows: 3, maxRows: 10 }"
            placeholder="请输入您的问题"
          />
        </div>
        <div class="select">
          <div class="select-left">
            <div class="select-item">
              <img src="../assets/images/sikao.png" alt="" />
              <span>深度思考（R1)</span>
            </div>
            <div class="select-item">
              <img src="../assets/images/lianwang.png" alt="" />
              <span>联网搜索</span>
            </div>
          </div>
          <div class="select-right">
            <div class="select-item">
              <img src="../assets/images/fujian1.png" alt="" />
            </div>
            <div class="select-item">
              <img src="../assets/images/shangchuan2.png" alt="" />
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
<script lang="ts" setup>
import { ref } from 'vue'

const screenWidth = ref(window.innerWidth)
</script>
<style lang="less" scoped>
@media screen and (max-width: 750px) {
  .chat-box {
    width: 100%;
    background-image: url('@/assets/images/beijing2.png');
    background-size: 100% 100%;
    background-position: center;
    background-repeat: no-repeat;
    display: flex;
    justify-content: center;
    align-items: center;
    .chat-box-content {
      width: 100%;
      display: flex;
      flex-direction: column;
      justify-content: flex-start;
      align-items: flex-start;

      .chat-date {
        width: 100%;
        text-align: center;
        margin-bottom: 30px;
      }

      .chat-send {
        width: 100%;
        display: flex;
        justify-content: flex-end;
        margin-bottom: 20px;

        .chat-send-info {
          width: 263px;
          height: 40px;
          background: #af8b56;
          border-radius: 20px;
          line-height: 40px;
          padding: 0 20px;
          color: #fff;
        }
      }

      .chat-back-info {
        margin-bottom: 20px;
        display: flex;
        justify-content: flex-start;

        .back-avator {
          margin-right: 10px;

          img {
            width: 40px;
          }
        }

        .base-book-box {
          width: 300px;
          padding: 10px;
          box-sizing: border-box;
          background-color: #fff;
          border-radius: 20px;

          .base-book-item {
            flex: 1;
            display: flex;
            justify-content: center;
            flex-direction: column;
            align-items: center;
            padding: 0 20px;
            margin-bottom: 50px;

            .book-icon {
              width: 120px;
              height: auto;
            }

            .base-book-item-feilds {
              flex: 1;
              display: flex;
              flex-direction: column;
              justify-content: space-between;
              align-items: flex-start;

              .book-title {
                width: 100%;
                font-size: 18px;
                font-family:
                  Microsoft YaHei,
                  Microsoft YaHei-Bold;
                font-weight: 700;
                color: #333333;
                margin-bottom: 20px;
                text-align: center;
              }

              .el-row {
                width: 100%;
                padding-left: 10px;

                .el-col {
                  margin-right: 0px;
                  .grid-content {
                    min-width: 280px;
                    padding: 0px 10px;
                    text-align: left;
                    span:nth-child(1) {
                      letter-spacing: 5px;
                    }
                    span:nth-child(2) {
                      color: #999;
                    }
                  }
                }
              }
            }
          }

          .base-book-desc-box {
            width: 100%;
            padding: 0 20px;

            .base-book-desc-title {
              font-size: 18px;
              font-family: 'FFZHTJW';
              color: #af8c56;
            }
            p {
              font-size: 14px;
              font-family:
                Microsoft YaHei,
                Microsoft YaHei-Regular;
              font-weight: 400;
              text-align: left;
              color: #666666;
              line-height: 26px;
              text-indent: 2em;
            }
          }
        }
      }

      .back-item {
        width: 263px;
        height: 40px;
        background: #ffffff;
        border-radius: 20px;
        line-height: 40px;
        padding: 0 20px;
        margin-bottom: 20px;
        display: flex;
        align-items: center;
        justify-content: space-between;
        cursor: pointer;
        margin-left: 50px;
      }

      .chat-footer {
        width: 300px;
        background-color: #fff;
        border-radius: 20px;
        padding: 20px;
        box-sizing: border-box;
        margin-left: 50px;
        margin-bottom: 20px;

        .icon-list img {
          margin-right: 10px;
          cursor: pointer;
        }

        ::v-deep(.chat-text) {
          margin-bottom: 10px;
          .el-textarea__inner {
            border: none !important;
            outline: none !important;
            box-shadow: none !important;
            background-color: transparent !important;
            resize: none !important;
          }
        }

        .select {
          width: 100%;
          display: flex;
          align-items: center;
          justify-content: space-between;

          .select-left,
          .select-right {
            display: flex;
            align-items: center;
            justify-content: flex-start;

            .select-item {
              display: flex;
              align-items: center;
              box-sizing: border-box;
              border: 1px solid #e9d8bf;
              border-radius: 15px;
              font-size: 12px;
              font-family:
                Microsoft YaHei,
                Microsoft YaHei-Regular;
              font-weight: 400;
              color: #e1c49a;

              img {
                margin-right: 5px;
                cursor: pointer;
              }
            }
          }

          .select-left {
            .select-item {
              min-width: 70px;
              padding: 5px 8px;
            }
          }

          .select-right {
            display: flex;
            align-items: center;
            justify-content: flex-end;

            .select-item {
              border: 0;
            }
          }
        }
      }
    }
  }
}
@media screen and (min-width: 750px) {
  .chat-box {
    width: 100%;
    height: 100%;
    background-image: url('@/assets/images/beijing2.png');
    background-size: 100% 100%;
    background-position: center;
    background-repeat: no-repeat;
    display: flex;
    justify-content: center;
    align-items: center;
    .chat-box-content {
      width: 1200px;
      display: flex;
      flex-direction: column;
      justify-content: flex-start;
      align-items: flex-start;

      .chat-date {
        width: 100%;
        text-align: center;
        margin-bottom: 30px;
      }

      .chat-send {
        width: 100%;
        display: flex;
        justify-content: flex-end;
        margin-bottom: 20px;

        .chat-send-info {
          width: 263px;
          height: 40px;
          background: #af8b56;
          border-radius: 20px;
          line-height: 40px;
          padding: 0 20px;
          color: #fff;
        }
      }

      .chat-back-info {
        height: 500px;
        margin-bottom: 20px;
        display: flex;
        justify-content: flex-start;

        .back-avator {
          margin-right: 37px;

          img {
            width: 60px;
          }
        }

        .base-book-box {
          width: 800px;
          padding: 47px 30px 0px 30px;
          box-sizing: border-box;
          background-color: #fff;
          border-radius: 20px;

          .base-book-item {
            flex: 1;
            display: flex;
            justify-content: center;
            align-items: center;
            padding: 0 20px;
            margin-bottom: 50px;

            .book-icon {
              width: 120px;
              height: auto;
              margin-right: 45px;
            }

            .base-book-item-feilds {
              flex: 1;
              display: flex;
              flex-direction: column;
              justify-content: space-between;
              align-items: flex-start;

              .book-title {
                font-size: 18px;
                font-family:
                  Microsoft YaHei,
                  Microsoft YaHei-Bold;
                font-weight: 700;
                text-align: left;
                color: #333333;
                margin-bottom: 20px;
              }

              .el-row {
                width: 100%;

                .el-col {
                  margin-right: 70px;
                  .grid-content {
                    min-width: 280px;
                    padding: 0px 10px;
                    text-align: left;
                    span:nth-child(1) {
                      letter-spacing: 5px;
                    }
                  }
                }
              }
            }
          }

          .base-book-desc-box {
            width: 100%;
            padding: 0 20px;

            .base-book-desc-title {
              font-size: 18px;
              font-family: 'FFZHTJW';
              color: #af8c56;
            }
            p {
              font-size: 14px;
              font-family:
                Microsoft YaHei,
                Microsoft YaHei-Regular;
              font-weight: 400;
              text-align: left;
              color: #666666;
              line-height: 26px;
              text-indent: 2em;
            }
          }
        }
      }

      .back-item {
        width: 263px;
        height: 40px;
        background: #ffffff;
        border-radius: 20px;
        line-height: 40px;
        padding: 0 20px;
        margin-bottom: 20px;
        display: flex;
        align-items: center;
        justify-content: space-between;
        cursor: pointer;
        margin-left: 103px;
      }

      .chat-footer {
        width: 800px;
        height: 170px;
        background-color: #fff;
        border-radius: 20px;
        padding: 20px;
        box-sizing: border-box;
        margin-left: 103px;

        .icon-list img {
          margin-right: 10px;
          cursor: pointer;
        }

        ::v-deep(.chat-text) {
          margin-bottom: 10px;
          .el-textarea__inner {
            border: none !important;
            outline: none !important;
            box-shadow: none !important;
            background-color: transparent !important;
            resize: none !important;
          }
        }

        .select {
          width: 100%;
          display: flex;
          align-items: center;
          justify-content: space-between;

          .select-left,
          .select-right {
            flex: 1;
            display: flex;
            align-items: center;
            justify-content: flex-start;

            .select-item {
              display: flex;
              align-items: center;
              padding: 2px 10px;
              box-sizing: border-box;
              border: 1px solid #e9d8bf;
              border-radius: 15px;
              margin-right: 10px;
              font-size: 14px;
              font-family:
                Microsoft YaHei,
                Microsoft YaHei-Regular;
              font-weight: 400;
              color: #e1c49a;

              img {
                margin-right: 10px;
                cursor: pointer;
              }
            }
          }

          .select-right {
            display: flex;
            align-items: center;
            justify-content: flex-end;

            .select-item {
              border: 0;
            }
          }
        }
      }
    }
  }
}
</style>
